<?php

// Author: oxana.smirnova@quark.lu.se

//******************** Necessary Information System objects and attributes *************************

// list of available central GIISes
$giislist = array(
array("host" => "grid.uio.no",
      "port" => "2135",
      "base" => "mds-vo-name=NorduGrid,o=grid",
      "vo"   => "NorduGrid"),
array("host" => "grid.nbi.dk",
      "port" => "2135",
      "base" => "mds-vo-name=NorduGrid,o=grid",
      "vo"   => "NorduGrid"),
array("host" => "quark.hep.lu.se",
      "port" => "2135",
      "base" => "mds-vo-name=NorduGrid,o=grid",
      "vo"   => "NorduGrid"),
array("host" => "grid.hip.fi",
      "port" => "2135",
      "base" => "mds-vo-name=NorduGrid,o=grid",
      "vo"   => "NorduGrid")
//,
//array("host" => "testsite.eenet.ee",
//      "port" => "2135",
//      "base" => "mds-vo-name=Estonia,o=grid",
//      "vo"   => "Estonia")
,
array("host" => "heppc08.nbi.dk",
      "port" => "2135",
      "base" => "mds-vo-name=atlas,o=grid",
      "vo"   => "Atlas")
,
array("host" => "grid.nbi.dk",
      "port" => "2135",
      "base" => "nordugrid-cluster-name=grid.nbi.dk,mds-vo-name=local,o=grid",
      "vo"   => "Denmark")
//,
//array("host" => "atlas.hpc.unimelb.edu.au",
//      "port" => "2135",
//      "base" => "nordugrid-cluster-name=atlas.hpc.unimelb.edu.au,mds-vo-name=local,o=grid",
//      "vo"   => "Australia")
//,
//array("host" => "pcppe16.cern.ch",
//      "port" => "2135",
//      "base" => "mds-vo-name=Switzerland,o=grid",
//      "vo"   => "Switzerland")
//,
//array("host" => "f9pc18.ijs.si",
//      "port" => "2135",
//      "base" => "mds-vo-name=Slovenia,o=grid",
//      "vo"   => "Slovenia")
);

// base DNs for searches: local (GRIS), global (GIIS), VO
if ( !defined("DN_LOCAL") ) define("DN_LOCAL","mds-vo-name=local,o=grid");
if ( !defined("DN_GLOBL") ) define("DN_GLOBL","mds-vo-name=NorduGrid,o=grid");
if ( !defined("DN_VIORG") ) define("DN_VIORG","dc=nordugrid,dc=org");
if ( !defined("DN_PEOPL") ) define("DN_PEOPL","ou=people,dc=nordugrid,dc=org");
if ( !defined("DN_GUEST") ) define("DN_GUEST","ou=guests,dc=nordugrid,dc=org");
if ( !defined("DN_TUTOR") ) define("DN_TUTOR","ou=tutorial,dc=nordugrid,dc=org");
if ( !defined("DN_SERVS") ) define("DN_SERVS","ou=services,dc=nordugrid,dc=org");
if ( !defined("DN_RECAT") ) define("DN_RECAT","rc=NorduGrid,dc=nordugrid,dc=org");

// objectclasses
if ( !defined("OBJ_CLUS") ) define("OBJ_CLUS","nordugrid-cluster");
if ( !defined("OBJ_STEL") ) define("OBJ_STEL","nordugrid-se");
if ( !defined("OBJ_QUEU") ) define("OBJ_QUEU","nordugrid-queue");
if ( !defined("OBJ_AJOB") ) define("OBJ_AJOB","nordugrid-job");
if ( !defined("OBJ_USER") ) define("OBJ_USER","nordugrid-authuser");
if ( !defined("OBJ_PERS") ) define("OBJ_PERS","organizationalPerson");
if ( !defined("OBJ_RCOL") ) define("OBJ_RCOL","GlobusReplicaLogicalCollection");  /* RC Logical Collection object */
if ( !defined("OBJ_RFIL") ) define("OBJ_RFIL","GlobusReplicaLogicalFile");        /* RC Logical File object */
if ( !defined("OBJ_RFIN") ) define("OBJ_RFIN","GlobusReplicaFileInfo");           /* RC File Info object */
if ( !defined("OBJ_RSEL") ) define("OBJ_RSEL","GlobusReplicaInfo");               /* RC Info object */

// attributes
if ( !defined("CLU_NAME") ) define("CLU_NAME","nordugrid-cluster-name");
if ( !defined("CLU_ANAM") ) define("CLU_ANAM","nordugrid-cluster-aliasname");
if ( !defined("CLU_ZIPC") ) define("CLU_ZIPC","nordugrid-cluster-location");
if ( !defined("CLU_TCPU") ) define("CLU_TCPU","nordugrid-cluster-totalcpus");
if ( !defined("CLU_UCPU") ) define("CLU_UCPU","nordugrid-cluster-usedcpus");
if ( !defined("CLU_TJOB") ) define("CLU_TJOB","nordugrid-cluster-totaljobs");
if ( !defined("CLU_QJOB") ) define("CLU_QJOB","nordugrid-cluster-queuedjobs");
if ( !defined("CLU_OWNR") ) define("CLU_OWNR","nordugrid-cluster-owner");
if ( !defined("CLU_SUPP") ) define("CLU_SUPP","nordugrid-cluster-support");
if ( !defined("SEL_NAME") ) define("SEL_NAME","nordugrid-se-name");
if ( !defined("SEL_BURL") ) define("SEL_BURL","nordugrid-se-baseurl");
if ( !defined("SEL_ANAM") ) define("SEL_ANAM","nordugrid-se-aliasname");
if ( !defined("SEL_TYPE") ) define("SEL_TYPE","nordugrid-se-type");
if ( !defined("SEL_FREE") ) define("SEL_FREE","nordugrid-se-freespace");
if ( !defined("SEL_TOTA") ) define("SEL_TOTA","nordugrid-se-totalspace");
if ( !defined("QUE_NAME") ) define("QUE_NAME","nordugrid-queue-name");
if ( !defined("QUE_STAT") ) define("QUE_STAT","nordugrid-queue-status");
if ( !defined("QUE_RUNG") ) define("QUE_RUNG","nordugrid-queue-running");
if ( !defined("QUE_GRUN") ) define("QUE_GRUN","nordugrid-queue-gridrunning");
if ( !defined("QUE_MAXR") ) define("QUE_MAXR","nordugrid-queue-maxrunning");
if ( !defined("QUE_QUED") ) define("QUE_QUED","nordugrid-queue-queued");
if ( !defined("QUE_GQUE") ) define("QUE_GQUE","nordugrid-queue-gridqueued");
if ( !defined("QUE_MAXQ") ) define("QUE_MAXQ","nordugrid-queue-maxqueuable");
if ( !defined("QUE_ASCP") ) define("QUE_ASCP","nordugrid-queue-totalcpus");
if ( !defined("QUE_MINT") ) define("QUE_MINT","nordugrid-queue-mincputime");
if ( !defined("QUE_MAXT") ) define("QUE_MAXT","nordugrid-queue-maxcputime");
if ( !defined("JOB_GLID") ) define("JOB_GLID","nordugrid-job-globalid");
if ( !defined("JOB_NAME") ) define("JOB_NAME","nordugrid-job-jobname");
if ( !defined("JOB_STAT") ) define("JOB_STAT","nordugrid-job-status");
if ( !defined("JOB_EQUE") ) define("JOB_EQUE","nordugrid-job-execqueue");
if ( !defined("JOB_ECLU") ) define("JOB_ECLU","nordugrid-job-execcluster");
if ( !defined("JOB_GOWN") ) define("JOB_GOWN","nordugrid-job-globalowner");
if ( !defined("JOB_USET") ) define("JOB_USET","nordugrid-job-usedcputime");
if ( !defined("JOB_USEM") ) define("JOB_USEM","nordugrid-job-usedmem");
if ( !defined("JOB_SUBM") ) define("JOB_SUBM","nordugrid-job-submissiontime");
if ( !defined("JOB_ERRS") ) define("JOB_ERRS","nordugrid-job-errors");
if ( !defined("JOB_CPUS") ) define("JOB_CPUS","nordugrid-job-cpucount");
if ( !defined("USR_NAME") ) define("USR_NAME","nordugrid-authuser-name");
if ( !defined("USR_USSN") ) define("USR_USSN","nordugrid-authuser-sn");
if ( !defined("USR_CPUS") ) define("USR_CPUS","nordugrid-authuser-freecpus");
if ( !defined("USR_QUEU") ) define("USR_QUEU","nordugrid-authuser-queuelength");
if ( !defined("USR_DISK") ) define("USR_DISK","nordugrid-authuser-diskspace");
if ( !defined("VO_USCN" ) ) define("VO_USCN" ,"cn");
if ( !defined("VO_USSN" ) ) define("VO_USSN" ,"sn");
if ( !defined("VO_DESC" ) ) define("VO_DESC" ,"description");

if ( !defined("VO_MAIL" ) ) define("VO_MAIL" ,"mail");
if ( !defined("VO_INST" ) ) define("VO_INST" ,"o");

//************************************* Grid Monitor top window style ******************************
$def_loadmon = array(
"refresh" => 120,
"bgcolor" => "#ffffff",
"thcolor" => "#000099",
"lcolor"  => "#000099",
"tbcolor" => "#ffcc33",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=#ffffff",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\""
);

//************************************* Cluster description style **********************************
$def_clusdes = array (
"title"   => $theaders["clusdes"][0],
"refresh" => 30,
"bgcolor" => "#ffcc33",
"thcolor" => "#000099",
"lcolor"  => "#000099",
"tbcolor" => "#ffffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

//*************************************** Job statistics style *************************************
$def_jobstat = array (
"refresh" => 120,
"bgcolor" => "#ffffff",
"thcolor" => "#ffcc33",
"lcolor"  => "#000099",
"tbcolor" => "#ffffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000000\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

//******************************************* VO list style ***************************************
$def_volist = array(
"refresh" => 3600,
"bgcolor" => "#ffffff",
"thcolor" => "#ffcc33",
"lcolor"  => "#ffff00",
"tbcolor" => "#cc0033",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#993300\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\""
);

//***************************************** VO user base style *************************************
$def_vousers = array(
"refresh" => 3600,
"bgcolor" => "#ffffff",
"thcolor" => "#ffcc33",
"lcolor"  => "#ffcccc",
"tbcolor" => "#000099",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000000\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\""
);

//***************************************** User job list style ************************************
$def_userlist = array(
"refresh" => 60,
"bgcolor" => "#ffffcc",
"thcolor" => "#ffcc33",
"lcolor"  => "#000099",
"tbcolor" => "#ffffff",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000000\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

$def_userres = array(
"thcolor" => "#000099",
"tbcolor" => "#ffffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

//**************************************** Attribute list style ************************************
$def_attlist = array(
"refresh" => 999,
"bgcolor" => "#ffffff",
"thcolor" => "#000099",
"lcolor"  => "#000099",
"tbcolor" => "#ccffff",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

//****************************************** Queue job list style **********************************
$def_quelist = array(
"refresh" => 120,
"bgcolor" => "#ffffff",
"thcolor" => "#000099",
"lcolor"  => "#000099",
"tbcolor" => "#ffffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

//******************************************* SE info style ***************************************
$def_sestat = array(
"refresh" => 300,
"bgcolor" => "#ffffff",
"thcolor" => "#ffcc33",
"lcolor"  => "#ffcccc",
"tbcolor" => "#CCCC99",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#990000\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000000\""
);

//******************************************* Users info style ***************************************
$def_allusers = array(
"refresh" => 120,
"bgcolor" => "#ffffff",
"thcolor" => "#339966",
"lcolor"  => "#003300",
"tbcolor" => "#ccffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000000\""
);

//***************************** LDAP parameters dump style - no need to modify *********************
$def_ldapdump = array(
"thcolor" => "#000099",
"tbcolor" => "#ffffcc",
"thfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#ffffff\"",
"tbfont"  => "face=\"Verdana,Geneva,Arial,Helvetica,Sans-serif\" color=\"#000099\""
);

?>
